/production-api/status/getprojectsforstatusvalueRetrieves all ProductionProjects that have a ProductionPolygon with the specified status value
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
Query Parameters
The value of a ProductionPolygonStatus (not the ID)
The value of a delay for the ProductionPolygonStatus
Response Body
application/json
curl -X GET "https://example.com/production-api/status/getprojectsforstatusvalue?statusValue=0"[ { "id": 0, "projectId": 0, "hubApplicationId": 0, "polygons": [ { "id": 0, "polygonId": 0, "productionProjectId": 0, "subnumber": 0, "productionPackageId": 0, "finishAt": "2019-08-24T14:15:22Z", "deliverAt": "2019-08-24T14:15:22Z", "productionValue": 0, "statuses": [ { "id": 0, "productionPolygonId": 0, "productionStatusId": 0, "productionStatusValue": 0, "hubEmployeeId": 0, "remarks": "string", "assignedAt": "2019-08-24T14:15:22Z" } ], "materials": [ { "id": 0, "polygonProjectMaterialId": 0, "hasDefect": true, "hadDefect": true, "isMatched": true, "matchedAt": "2019-08-24T14:15:22Z" } ] } ] }]/production-api/status/getpolygonsforstatusvalueRetrieves all ProductionPolygons that have the specified status value
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
Query Parameters
The value of a ProductionPolygonStatus (not the ID)
Response Body
application/json
curl -X GET "https://example.com/production-api/status/getpolygonsforstatusvalue?statusValue=0"[ { "id": 0, "polygonId": 0, "productionProjectId": 0, "subnumber": 0, "productionPackageId": 0, "finishAt": "2019-08-24T14:15:22Z", "deliverAt": "2019-08-24T14:15:22Z", "productionValue": 0, "statuses": [ { "id": 0, "productionPolygonId": 0, "productionStatusId": 0, "productionStatusValue": 0, "hubEmployeeId": 0, "remarks": "string", "assignedAt": "2019-08-24T14:15:22Z" } ], "materials": [ { "id": 0, "polygonProjectMaterialId": 0, "hasDefect": true, "hadDefect": true, "isMatched": true, "matchedAt": "2019-08-24T14:15:22Z" } ] }]/production-api/status/setstatusforprojectSets the status value for all ProductionPolygons of the specified ProductionProject
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
The request containing the ProductionProject ID and the desired status value
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/production-api/status/setstatusforproject" \ -H "Content-Type: application/json" \ -d '{}'/production-api/status/setstatusforpolygonsSets the status value for one or more ProductionPolygons
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
The request containing the ProductionPolygon IDs and the desired status value
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/production-api/status/setstatusforpolygons" \ -H "Content-Type: application/json" \ -d '{}'/production-api/status/setstatusforwtpolygonsSets the status value for one or more ProductionPolygons by their WT ID
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
The request containing the ProductionProject IDs, the WT polygon IDs and the desired status value
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/production-api/status/setstatusforwtpolygons" \ -H "Content-Type: application/json" \ -d '{}'/production-api/status/setstatusforwtpolygonlinenumbersSets the status value for one or more ProductionPolygons by their WT ProjectNumber and LineNumbers
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
The request containing the ProductionProject IDs, the WT polygon IDs and the desired status value
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/production-api/status/setstatusforwtpolygonlinenumbers" \ -H "Content-Type: application/json" \ -d '{}'[ 0]/production-api/status/getpolygonstatusinfoforwtpolygonsRetrieves the status information for all ProductionPolygons that are associated with specified WT polygon IDs
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
The request containing the WT polygon IDs
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/production-api/status/getpolygonstatusinfoforwtpolygons" \ -H "Content-Type: application/json" \ -d '{}'[ { "id": 0, "polygonId": 0, "productionProjectId": 0, "subnumber": 0, "productionPackageId": 0, "finishAt": "2019-08-24T14:15:22Z", "deliverAt": "2019-08-24T14:15:22Z", "productionValue": 0, "statuses": [ { "id": 0, "productionPolygonId": 0, "productionStatusId": 0, "productionStatusValue": 0, "hubEmployeeId": 0, "remarks": "string", "assignedAt": "2019-08-24T14:15:22Z" } ], "materials": [ { "id": 0, "polygonProjectMaterialId": 0, "hasDefect": true, "hadDefect": true, "isMatched": true, "matchedAt": "2019-08-24T14:15:22Z" } ] }]